<?php
require_once('includes/config.php');
ezpRequireAdminLogin();
$EZP_page_title = 'مدیریت سایت - لیست نظر سنجی ها';
$EZP_tab = 1;

if(isset($_GET['action']) && isset($_GET['id']))
{
    switch($_GET['action'])
    {
        case 'activate':
            $db->go("UPDATE poll SET active = 1 WHERE id = ".intval($_GET['id'])." LIMIT 1");
            ezpAddSystemMessage('Poll has been activated');
            ezpRedirect('admin.php');
        break;
        case 'deactivate':
            $db->go("UPDATE poll SET active = 0 WHERE id = ".intval($_GET['id'])." LIMIT 1");
            ezpAddSystemMessage('Poll has been <Strong>DE</strong>activated');
            ezpRedirect('admin.php');
        break;
    }
}

$dir = isset($_GET['dir']) && $_GET['dir'] == 'ASC' ? 'ASC' : 'DESC';
$order = isset($_GET['order']) && in_array($_GET['order'], array('active','id','question','total_answers','total_votes','start_date','end_date','date_added')) ? $_GET['order'] : 'date_added';
$db->go("SELECT poll.*,(SELECT SUM(num_votes) FROM poll_answers WHERE poll_id = poll.id) as total_votes,(SELECT COUNT(*) FROM poll_answers WHERE poll_answers.poll_id = poll.id) AS total_answers FROM poll WHERE poll.removed = 0 ORDER BY {$order} {$dir}");
$polls = $db->fetchAll();

?>

<?php require_once('header.php'); ?>

<div id="ezp_admin_wrap">
<table id="ezp_tbl_admin" cellpadding="0" cellspacing="0" border="0">
<tr>
	<td colspan="10" style="text-align:right"><strong>تمام نظر سنجي ها:</strong> <?php echo count($polls); ?></td>
</tr>
<tr>
    <th>ويرايش</th>
	<th>نتايج</th>
	<th>پيش نمايش</th>
    <th><a<?php echo $order == 'active' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=active&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>">فعال</a></th>
    <th><a<?php echo $order == 'id' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=id&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>">شناسه</a></th>
    <th><a<?php echo $order == 'question' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=question&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>">سوال</a></th>
    <th><a<?php echo $order == 'total_answers' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=total_answers&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>"># پاسخ ها</a></th>
    <th><a<?php echo $order == 'total_votes' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=total_votes&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>"># راي ها</a></th>
    <th><a<?php echo $order == 'start_date' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=start_date&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>">شروع</a></th>
    <th><a<?php echo $order == 'end_date' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=end_date&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>">پايان</a></th>
    <th><a<?php echo $order == 'date_added' ? ' class="sorting_on"' : ''; ?> href="admin.php?order=date_added&dir=<?php echo $dir == 'DESC' ? 'ASC' : 'DESC'; ?>">تاريخ اضافه شدن</a></th>
</tr>
<?php 
//Alternating Row BG Color
$bg = "#eee";
foreach($polls as $row): 
?>
<?php
	$bg = ($bg=='#eee' ? '#fff' : '#eee');	
?>
<tr style="background-color:<?php echo $bg; ?>">
    <td class="ezp_edit_poll"><a href="edit_poll.php?id=<?php echo $row['id']; ?>" title="ويرايش نظر سنجي"><img src="images/edit.png" alt="ويرايش"/></a></td>
	<td class="ezp_view_results"><a href="admin_results.php?id=<?php echo $row['id']; ?>" title="Poll Results"><img src="images/results.png" alt="Results"/></a></td>
    <td class="ezp_preview"><img onclick="$('#ezp_poll_preview').dialog('open').load('preview.php?id=<?php echo $row['id']; ?>');" src="images/preview.png"/></td>
	<td class="ezp_active"><a href="admin.php?id=<?php echo $row['id']; ?>&action=<?php echo $row['active']==0?'activate':'deactivate'; ?>"><img src="images/<?php echo $row['active']==0?'in':''; ?>active.png"/></a></td>
    <td><?php echo $row['id']; ?></td>
    <td><strong><?php echo $row['question']; ?></strong></td>
    <td class="ezp_total_answers"><?php echo $row['total_answers']?$row['total_answers']:0; ?></td>
    <td class="ezp_total_votes"><?php echo $row['total_votes']?$row['total_votes']:0; ?></td>
    <td class="ezp_start"><?php echo !empty($row['start_date']) ? pdate('d/m/Y g:i a', strtotime($row['start_date'])) : ''; ?></td>
    <td class="ezp_end"><?php echo !empty($row['end_date']) ? pdate('d/m/Y g:i a', strtotime($row['end_date'])) : ''; ?></td>
    <td class="ezp_added"><?php echo pdate('d/m/Y', strtotime($row['date_added'])); ?></td>
</tr>
<?php endforeach; ?>
</table>
</div>
<div id="ezp_poll_preview" title="Poll Preview">کمي صبر کنيد...</div>
<?php require_once('footer.php'); ?>