<?php
require_once('includes/config.php');
ezpRequireAdminLogin();
$EZP_page_title = 'نتایج نظر سنجی';
$EZP_tab = -1;

$id = isset($_GET['id']) ? intval($_GET['id']) : 0;

// Existing Poll
if($id > 0)
{
    $db->go("SELECT * FROM poll WHERE id = {$id} LIMIT 1");
    $poll = $db->fetchArray();
    
    if(!$poll)
    {
        ezpAddSystemMessage('Poll ['.$_GET['id'].'] not found');
        ezpRedirect('admin.php');
    }
    
    $db->go("SELECT * FROM poll_answers WHERE poll_id = {$poll['id']} ORDER BY weight");
    $poll_answers = $db->fetchAll();
    
    $db->go("SELECT * FROM poll_votes WHERE poll_id = {$poll['id']} ORDER BY date_added DESC LIMIT 250");
    $poll_votes = $db->fetchAll();
    
    $answers = array();
} else
{
    ezpAddSystemMessage('Invalid Poll ID');
    ezpRedirect('admin.php');
}
?>


<?php require_once('header.php'); ?>

<div id="ezp_admin_results">

<h3 class="clearfix"><?php echo $poll['question']; ?></h3>
<p id="ezp_view_edit"><a href="edit_poll.php?id=<?php echo $poll['id']; ?>"><img src="images/edit.png" width="16" height="16" alt="Edit Poll"> ويرايش نظر سنجي</a></p>
  
    <div>
        <?php
        if($poll_answers)
        {
            $labels = array();
            $values = array();
            $colors = array();
            echo '<table cellpadding="0" cellspacing="0" border="0">';
            echo '<tr><th>شناسه</th><th>پاسخ ها</th><th>رای ها</th></tr>';
            $bg = '';
            foreach($poll_answers as $row)
            {
                $bg = ($bg=='#eee' ? '#fff' : '#eee');
				
				$pc = $poll['total_votes']>0?round($row['num_votes']/$poll['total_votes']*100,$poll['result_precision']):0;
                $labels[] = urlencode('['.$row['id'].'] '.str_replace('|','/',$row['answer']).' ('.$pc.'%)');
                $values[] = $pc;
                $color = ezpRandomColor();
                $colors[] = str_replace('#','',$color);
                $answers[$row['id']] = $row['answer'];
                echo '<tr style="background-color:'.$bg.'">';
                echo '<td class="ezp_results_id">'.$row['id'].'</td>';
                echo '<td class="ezp_answer"><span style="display:block;float:left;width:15px;height:15px;background:'.$color.'"></span>&nbsp;'.$row['answer'].'</td>';
                echo '<td class="ezp_votes">'.$row['num_votes'].' ('.$pc.'%)</td>';
                echo '</tr>';
            }
            echo '</table>';
        }
        ?>
    </div>
    
    
    <div id="ezp_results_graph">
        <?php if($poll_answers): ?>
        <img src="http://chart.apis.google.com/chart?chs=750x275&chd=t:<?php echo implode(',',$values); ?>&cht=p3&chl=<?php echo implode('|',$labels); ?>&chco=<?php echo implode('|',$colors); ?>"/>
        <?php endif; ?>
    </div>
    
    <h3>250 رای اخیر</h3>
    <div id="ezp_view_votes">
        <?php
        if($poll_votes)
        {
            echo '<table cellpadding="0" cellspacing="0" border="0">';
            echo '<tr><th>شناسه رای</th><th>رای ها</th><th>IP</th><th>تاریخ</th></tr>';
            foreach($poll_votes as $row)
            {
                $bg = ($bg=='#eee' ? '#fff' : '#eee');
				
				$vote_display = array();
                $votes = explode(',',$row['votes']);
                array_shift($votes);
                foreach($votes as $vote)
                {
                    $vote_display[] = '['.$vote.'] '.(isset($answers[$vote]) ? $answers[$vote] : '<em>N/A</em>');
                }					
                echo '<tr style="background-color:'.$bg.'">';
                echo '<td class="ezp_results_id">'.$row['id'].'</td>';
                echo '<td>'.implode(', ',$vote_display).'</td>';
                echo '<td class="ezp_results_ip">'.$row['ip'].'</td>';
                echo '<td class="ezp_results_date">'.pdate('d/m/Y g:i:s a',strtotime($row['date_added'])).'</td>';
                echo '</tr>';
            }
            echo '</table>';
        }
        ?>
    </div>  

</div>

<?php require_once('footer.php'); ?>