<?php
/**
 * Copyright (c) 2010 by http://www.dtimagery.com. All rights reserved.
 */
require_once('includes/config.php');
ezpRequireAdminLogin();
$EZP_page_title = 'Add / Edit Poll';
$EZP_tab = 2;

// use this to determine if we are adding a new poll or editing an exisiting one
$edit = false;

$id = isset($_GET['id']) ? intval($_GET['id']) : 0;

// Existing Poll
if($id > 0)
{
    // Delete Poll
    if(isset($_POST['delete']))
    {
        $db->go("UPDATE poll SET removed = 1 WHERE id = {$id} LIMIT 1");
        ezpAddSystemMessage('Poll ID '.$id.' has been removed. The actual data has not been destroyed, you may restore this poll by editing it\'s entry in the database setting the column "removed" to equal "0".');
        ezpRedirect('admin.php');
    }
    
    // Update Existing Poll
    if(isset($_POST['submit']))
    {
        $start_date = !empty($_POST['start_date'])?date('Y-m-d H:i:s', strtotime("{$_POST['start_date']} {$_POST['start_hour']}:{$_POST['start_minute']}{$_POST['start_ampm']}")):null;
        $end_date = !empty($_POST['end_date'])?date('Y-m-d H:i:s', strtotime("{$_POST['end_date']} {$_POST['end_hour']}:{$_POST['end_minute']}{$_POST['end_ampm']}")):null;

        // Update poll question and paramters
        $db->go("UPDATE poll SET
                 active = ".(intval($_POST['active'])).",
                 question = '".($db->q($_POST['question']))."',
                 votes_per_day = ".(intval($_POST['votes_per_day'])).",
                 total_votes_per_person = ".(intval($_POST['total_votes_per_person'])).",
                 show_results = ".(intval($_POST['show_results'])).",
                 show_results_req_vote = ".(intval($_POST['show_results_req_vote'])).",
                 finished = ".(intval($_POST['finished'])).",
                 num_selections = ".(intval($_POST['num_selections'])).",
                 show_vote_numbers = ".(intval($_POST['show_vote_numbers'])).",
                 result_precision = ".(intval($_POST['result_precision'])).",
                 animate_results = ".(intval($_POST['animate_results'])).",
                 start_date = ".(is_null($start_date)?"null":"'{$start_date}'").",
                 end_date = ".(is_null($end_date)?"null":"'{$end_date}'")."
                 WHERE id = {$id} LIMIT 1
                ");

        // Update the poll answers
        foreach($_POST['answer'] as $poll_answer_id=>$answer)
        {
            if(isset($_POST['remove'][$poll_answer_id]))
            {
                $db->go("DELETE FROM poll_answers WHERE id = {$poll_answer_id} LIMIT 1");
            } else
            {
                if(strlen($_POST['color'][$poll_answer_id])<6)
                    $_POST['color'][$poll_answer_id] = ezpRandomColor();
                elseif(!strstr($_POST['color'][$poll_answer_id], '#'))
                    $_POST['color'][$poll_answer_id] = '#'.$_POST['color'][$poll_answer_id];
                    
                $db->go("UPDATE poll_answers SET
                        answer = '".$db->q($answer)."',
                        color = '".$db->q($_POST['color'][$poll_answer_id])."',
                        weight = ".intval($_POST['weight'][$poll_answer_id])."
                        WHERE id = {$poll_answer_id} 
                        LIMIT 1");

            }
        }
        
        // Add new poll answers
        foreach($_POST['new_answer'] as $key_index=>$answer)
        {
            if(strlen(trim($answer))>0)
            {
                $db->go("INSERT INTO poll_answers VALUES (null,{$id},'".$db->q($answer)."','".$db->q($_POST['new_color'][$key_index])."',".intval($_POST['new_weight'][$key_index]).",0)");
            }
        }
        
        ezpAddSystemMessage('Updated');
    }
    
    $edit = true; // We are editing an existing one
    $db->go("SELECT * FROM poll WHERE id = {$id} AND removed = 0 LIMIT 1");
    $poll = $db->fetchArray();
    
    if(!$poll)
    {
        ezpAddSystemMessage('Poll ['.$_GET['id'].'] not found');
        ezpRedirect('admin.php');
    }
    
    $db->go("SELECT * FROM poll_answers WHERE poll_id = {$poll['id']} ORDER BY weight");
    $poll_answers = $db->fetchAll();

// New Poll
} else
{
    // Insert New Poll
    if(isset($_POST['submit']))
    {
        $poll = $_POST;
        
        $start_date = !empty($_POST['start_date'])?date('Y-m-d H:i:s', strtotime("{$_POST['start_date']} {$_POST['start_hour']}:{$_POST['start_minute']}{$_POST['start_ampm']}")):null;
        $end_date = !empty($_POST['end_date'])?date('Y-m-d H:i:s', strtotime("{$_POST['end_date']} {$_POST['end_hour']}:{$_POST['end_minute']}{$_POST['end_ampm']}")):null;
        
        // Insert poll question and parameters
        $db->go("INSERT INTO poll VALUES (
                 null,
                 '".(intval($_POST['active']))."',
                 '".($db->q($_POST['question']))."',
                 ".(intval($_POST['votes_per_day'])).",
                 ".(intval($_POST['total_votes_per_person'])).",
                 ".(intval($_POST['show_results'])).",
                 ".(intval($_POST['show_results_req_vote'])).",
                 ".(intval($_POST['finished'])).",
                 ".(intval($_POST['num_selections'])).",
                 ".(intval($_POST['show_vote_numbers'])).",
                 ".(intval($_POST['result_precision'])).",
                 ".(intval($_POST['animate_results'])).",
                 ".(is_null($start_date)?"null":"'{$start_date}'").",
                 ".(is_null($end_date)?"null":"'{$end_date}'").",
                 0,
                 0,
                 '".date('Y-m-d: H:i:s')."')
                ");
        
        $id = $db->lastId();
        
        // Insert initial poll answers
        foreach($_POST['new_answer'] as $key_index=>$answer)
        {
            if(strlen($_POST['new_color'][$key_index])<6)
                $_POST['new_color'][$key_index] = ezpRandomColor();
            elseif(!strstr($_POST['new_color'][$key_index], '#'))
                $_POST['new_color'][$key_index] = '#'.$_POST['color'][$key_index];
                    
            if(strlen(trim($answer))>0)
            {
                $db->go("INSERT INTO poll_answers VALUES (null,{$id},'".$db->q($answer)."','".$db->q($_POST['new_color'][$key_index])."',".intval($_POST['new_weight'][$key_index]).",0)");
            }
        }
        
        ezpAddSystemMessage('نظر سنجي افزوده شد');
        ezpRedirect('edit_poll.php?id='.$id);
        
    } else
    {
        $poll['active'] = 0;
        $poll['show_results'] = 1;
        $poll['show_results_req_vote'] = 0;
        $poll['finished'] = 1;
        $poll['show_vote_numbers'] = 1;
        $poll['animate_results'] = 1;
    }
}
?>



<?php $edit_poll_js_load = true; require_once('header.php'); ?>
<div id="ezp_add_poll">
<form method="post" action="edit_poll.php?id=<?php echo $id; ?>">
    <div id="ezp_question">
        <label for="question">پرسش:</label>
        <input type="text" name="question" id="question" value="<?php echo isset($poll['question']) ? $poll['question'] : ''; ?>"/>
    </div>
    
    
    
    
    
    <!-- Existing Answers -->
    <?php if($edit): echo '<h3>Current Answers</h3>'; ?>
    <div class="ezp_answers">
    <table cellspacing="0" cellpadding="0" border="0" class="ezp_tbl_current_answers">
        <tr>
            <th>پاسخ:</th>
            <th class="ezp_center">ترتيب:</th>
            <th>رنگ:</th>
            <th class="ezp_cur_votes">Current Votes:</th>
            <th class="ezp_cur_remove">حذف:</th>
        </tr>
    <?php foreach($poll_answers as $row): ?>
        <tr><td><input type="text" name="answer[<?php echo $row['id']; ?>]" value="<?php echo isset($poll['answer'][$row['id']]) ? $poll['answer'][$row['id']] : $row['answer']; ?>"/></td>
        <td><select name="weight[<?php echo $row['id']; ?>]">
            <?php for($i=0;$i<=99;$i++): ?>
            <option value="<?php echo $i; ?>"<?php echo isset($poll['weight'][$row['id']])&&$poll['answer'][$row['id']]==$i?'selected="selected"':($row['weight']==$i?'selected="selected"':''); ?>><?php echo $i; ?></option>
            <?php endfor; ?>
        </select></td>
        <td><input type="text" id="new_color_picker<?php echo $row['id']; ?>" name="color[<?php echo $row['id']; ?>]" value="<?php echo isset($poll['color'][$row['id']]) ? $poll['color'][$row['id']] : $row['color']; ?>"/></td>
        <script type="text/javascript">$(document).ready(function(){$('#new_color_picker<?php echo $row['id']; ?>').jPicker();});</script>
        <td class="ezp_cur_votes"><?php echo $row['num_votes'].' ['.($poll['total_votes']>0?(round(($row['num_votes']/$poll['total_votes'])*100,$poll['result_precision'])):'0').'%]'; ?></td>
        <td class="ezp_cur_remove"><input type="checkbox" name="remove[<?php echo $row['id']; ?>]" value="remove"/></td></tr>
    <?php endforeach; ?>
	</table>
    </div>
	<?php endif; ?>
    
    
    
    
    
    <!-- New Answers -->
    <h3>پاسخ هاي جديد</h3>
    <div class="ezp_answers">
        <table cellspacing="0" cellpadding="0" border="0" class="ezp_tbl_new_answers">
        	<tr>
            	<th>پاسخ:</th>
                <th class="ezp_center">ترتيب:</th>
                <th>رنگ:</th>
            </tr>
        <?php for($x=0;$x<5;$x++): ?>
            <tr><td><input type="text" name="new_answer[<?php echo $x; ?>]" value="<?php echo isset($poll['new_answer'][$x]) ? $poll['new_answer'][$x] : ''; ?>"/></td>
            <td><select name="new_weight[<?php echo $x; ?>]">
                <?php for($i=0;$i<=99;$i++): ?>
                <option value="<?php echo $i; ?>"<?php echo isset($poll['new_weight'][$x])&&$poll['new_weight'][$x]==$i?'selected="selected"':''; ?>><?php echo $i; ?></option>
                <?php endfor; ?>
            </select></td>
            <td><input type="text" class="colorpicker" id="new_color_picker<?php echo $x; ?>" name="new_color[<?php echo $x; ?>]" value="<?php echo ezpRandomColor(); ?>" /></td></tr>
            

        <?php endfor; ?>
        </table>
    </div>
    <script type="text/javascript">$(document).ready(function(){$('.colorpicker').jPicker();});</script>
    

    <h3>پارامتر هاي نظر سنجي</h3>
    
    <div class="ezp_border_first"><label for="active">فعال:</label>
        بله <input type="radio" name="active" value="1"<?php echo isset($poll['active'])&&$poll['active']==1?' checked="checked"':''; ?>/>
        خير <input type="radio" name="active" value="0"<?php echo isset($poll['active'])&&$poll['active']==0?' checked="checked"':''; ?>/>
    </div>
    
    <div class="ezp_border">
        <?php
        if(isset($poll['start_date']))
        {
            list($start_date,$start_hour,$start_minute,$start_ampm) = explode('|', date('m/d/Y|h|i|a', strtotime($poll['start_date'])));
            list($end_date,$end_hour,$end_minute,$end_ampm) = explode('|', date('m/d/Y|h|i|a', strtotime($poll['end_date'])));
        }
        ?>
        <label for="start_date">تاريخ شروع:</label> <input type="text" name="start_date" id="start_date" value="<?php echo isset($start_date) ? $start_date : ''; ?>"/>
        <select name="start_hour"><?php for($x=1; $x<=12; $x++){echo '<option value="'.str_pad($x, 2, '0', STR_PAD_LEFT).'"'.(isset($start_hour)&&$start_hour==$x?' selected="selected"':'').'>'.$x.'</option>';}?></select>
        <select name="start_minute"><?php for($x=0; $x<=59; $x++){echo '<option value="'.str_pad($x, 2, '0', STR_PAD_LEFT).'"'.(isset($start_minute)&&$start_minute==$x?' selected="selected"':'').'>'.$x.'</option>';}?></select>
        <select name="start_ampm"><option value="am"<?php echo isset($start_ampm)&&$start_ampm=='am'?' selected="selected"':''; ?>>AM</option><option value="pm"<?php echo isset($start_ampm)&&$start_ampm=='pm'?' selected="selected"':''; ?>>PM</option></select>
    </div>
    
    <div class="ezp_border">
        <label for="end_date">تاريخ پايان:</label> <input type="text" name="end_date" id="end_date" value="<?php echo isset($end_date) ? $end_date : ''; ?>"/>
        <select name="end_hour"><?php for($x=1; $x<=12; $x++){echo '<option value="'.str_pad($x, 2, '0', STR_PAD_LEFT).'"'.(isset($end_hour)&&$end_hour==$x?' selected="selected"':'').'>'.$x.'</option>';}?></select>
        <select name="end_minute"><?php for($x=0; $x<=59; $x++){echo '<option value="'.str_pad($x, 2, '0', STR_PAD_LEFT).'"'.(isset($end_minute)&&$end_minute==$x?' selected="selected"':'').'>'.$x.'</option>';}?></select>
        <select name="end_ampm"><option value="am"<?php echo isset($end_ampm)&&$end_ampm=='am'?' selected="selected"':''; ?>>AM</option><option value="pm"<?php echo isset($end_ampm)&&$end_ampm=='pm'?' selected="selected"':''; ?>>PM</option></select>    
    </div>
    
    <div class="ezp_border">
        <label for="votes_per_day">تعداد راي ها در هر روز:</label>
        <input type="text" name="votes_per_day" value="<?php echo isset($poll['votes_per_day']) ? $poll['votes_per_day'] : ''; ?>"/> <em>(0 = Unlimited)</em>
    </div>
    
    <div class="ezp_border">
        <label for="total_votes_per_person">تعداد راي ها براي هر شخص:</label>
        <input type="text" name="total_votes_per_person" value="<?php echo isset($poll['total_votes_per_person']) ? $poll['total_votes_per_person'] : ''; ?>"/> <em>(0 = Unlimited)</em>
    </div>
    
    <div class="ezp_border">
    	<label for="show_results">نمايش نتايج:</label>
        بله <input type="radio" name="show_results" value="1"<?php echo isset($poll['show_results'])&&$poll['show_results']==1?' checked="checked"':''; ?>/>
        خير <input type="radio" name="show_results" value="0"<?php echo isset($poll['show_results'])&&$poll['show_results']==0?' checked="checked"':''; ?>/>
    </div>
    
    <div class="ezp_border">
    	<label for="show_results_req_vote">الزام به راي دادن براي ديدن نتايج:</label>
        بله <input type="radio" name="show_results_req_vote" value="1"<?php echo isset($poll['show_results_req_vote'])&&$poll['show_results_req_vote']==1?' checked="checked"':''; ?>/>
        خير <input type="radio" name="show_results_req_vote" value="0"<?php echo isset($poll['show_results_req_vote'])&&$poll['show_results_req_vote']==0?' checked="checked"':''; ?>/>
    </div>
    
    <div class="ezp_border">
    	<label for="finished">نمایش نظر سنجی در هنگام پایان رای گیری:</label>
        بله <input type="radio" name="finished" value="1"<?php echo isset($poll['finished'])&&$poll['finished']==1?' checked="checked"':''; ?>/>
        خير <input type="radio" name="finished" value="0"<?php echo isset($poll['finished'])&&$poll['finished']==0?' checked="checked"':''; ?>/>
    </div>
    
    <div class="ezp_border">
    	<label for="show_vote_numbers">نمايش تعداد راي ها:</label>
        بله <input type="radio" name="show_vote_numbers" value="1"<?php echo isset($poll['show_vote_numbers'])&&$poll['show_vote_numbers']==1?' checked="checked"':''; ?>/>
        خير <input type="radio" name="show_vote_numbers" value="0"<?php echo isset($poll['show_vote_numbers'])&&$poll['show_vote_numbers']==0?' checked="checked"':''; ?>/>
    </div>
    
    <div class="ezp_border">
        <label for="">نمايش اعشاري نتيجه:</label>
        <select name="result_precision">
        <?php for($x=0; $x<=4; $x++)
        {
            echo '<option value="'.$x.'"'.(isset($poll['result_precision'])&&$poll['result_precision']==$x?' selected="selected"':'').'>1'.($x>0?'.':' (بدون اعشار)').(str_repeat('x', $x)).'</option>';
        }
        ?>   
        </select>
    </div>
    
    <div class="ezp_border">
        <label for="num_selections">قابلیت انتخاب چند گزینه در هنگام رای دادن:</label>
        <select name="num_selections">
        <?php for($x=1; $x<=20; $x++)
        {
            echo '<option value="'.$x.'"'.(isset($poll['num_selections'])&&$poll['num_selections']==$x?' selected="selected"':'').'>'.$x.'</option>';
        }
        ?>
        </select>
    </div>
    
    <div class="ezp_border">
    	<label for="animate_results">نوار انيميشني نتيجه:</label>
        بله <input type="radio" name="animate_results" value="1"<?php echo isset($poll['animate_results'])&&$poll['animate_results']==1?' checked="checked"':''; ?>/>
        خير <input type="radio" name="animate_results" value="0"<?php echo isset($poll['animate_results'])&&$poll['animate_results']==0?' checked="checked"':''; ?>/>
    </div>
    
    <div class="ezp_pad">
        <table width="100%" cellspacing="0"><tr><td style="text-align:left;"><input type="submit" name="submit" value="<?php echo $edit ? 'بروزرساني نظر سنجي' : 'افزودن نظر سنجي'; ?>"/></td>
        <td style="text-align:right;"><?php echo $edit ? '<input type="submit" name="delete" value="حذف نظر سنجي" onclick="return confirm(\'آيا شما از حذف نظر سنجي اطمينان داريد؟\');"/>' : ''; ?></td></tr></table>
    </div>
</form>
</div><!--ezp_add_poll-->
<?php require_once('footer.php'); ?>