<?php 
/**
 * Copyright (c) 2010 by http://www.dtimagery.com. All rights reserved.
 */
function ezpResults(&$db, $id = 0)
{
    $nojs = true;
	ob_start();
	require('ezpoll/results.php');
	$html = ob_get_contents();
	ob_end_clean();
    return $html;
}
function ezpShowPoll(&$db, $id = 0)
{
    $id = intval($id);
    $current_date = date('Y-m-d H:i:s');
    return ezpLoad($db, $id, $current_date, false);
}
function ezpLoad(&$db, $id = 0, $current_date, $js = true)
{
    global $LOAD_RESULTS_OVERRIDE;
    $OUTPUT = '';
    $answers = array();

    //$db->go("SELECT * FROM poll WHERE id = {$id} AND (start_date IS NULL OR start_date <= '".$current_date."') AND (end_date IS NULL OR end_date > '".$current_date."' OR finished = 1) LIMIT 1");
    $db->go("SELECT * FROM poll WHERE id = {$id} AND removed = 0 AND active = 1 AND (start_date IS NULL OR start_date <= '".$current_date."') LIMIT 1");
    
    $poll = $db->fetchArray();
    if($poll)
    {
        $db->go("SELECT * FROM poll_answers WHERE poll_id = {$id} ORDER BY weight ASC");
        $answers = $db->fetchAll();
            
        // Has the poll already ended?
        if(!empty($poll['end_date']) && (strtotime($poll['end_date']) < time()) && $poll['finished'] == 1)
        {
            if($js)
                $LOAD_RESULTS_OVERRIDE = true;
            else
            {
                $nojs = true;
                $hide_btn_viewpoll = true;
                ob_start();
                require('ezpoll/results.php');
                $OUTPUT .= ob_get_contents();
                ob_end_clean();
            }
        } elseif(!empty($poll['end_date']) && (strtotime($poll['end_date']) < time()) && $poll['finished'] == 0)
        {
            $OUTPUT .= EZP_poll_over_no_results;
        } else
        {
            if(count($answers)>0)
            {
                if(!$js)
                    $OUTPUT .= '<form action="'.ezpBuildUrl().'" method="POST"><input type="hidden" name="id" value="'.$id.'"/>';
                $OUTPUT .= '<table id="tbl_pub_poll" cellspacing="0" cellpadding="0"><tr><td colspan="2"><h3>'.$poll['question'].'</h3></td></tr>';
                foreach($answers as $answer)
                {
                    $OUTPUT .= '<tr><td class="td_pub_option">';
                    if($poll['num_selections'] > 1)
                    {
                        $OUTPUT .= '<input class="ezp_checkbox_vote" type="checkbox" name="ezp_answer[]" value="'.$answer['id'].'"/>';
                    } else
                    {
                        $OUTPUT .= '<input class="ezp_radio_vote" type="radio" name="ezp_answer" value="'.$answer['id'].'"/>';
                    }
                    $OUTPUT .= '</td><td>'.$answer['answer'].'</td></tr>';
                }
                // Do not even show the results link if they are not allowed to view results
                if($poll['show_results']==1)
                {
                    if($js)
                        $OUTPUT .= '<tr><td colspan="2"><p><a id="ezp_submit_vote" href="javascript:void(0);" onclick="ezpSubmit();">ثبت</a> <a id="ezp_view_results" href="javascript:void(0);" onclick="ezpResults();">نمایش نتایج</a></p></td></tr>';
                    else
                        $OUTPUT .= '<tr><td colspan="2"><p><input type="submit" name="ezp_submit_vote" id="ezp_submit_vote" value="ثبت"/> <input type="submit" id="ezp_view_results" name="ezp_view_results" value="نمايش نتايج" /></p></td></tr>';
                } else
                {
                    if($js)
                        $OUTPUT .= '<tr><td colspan="2"><p><a href="javascript:void(0);" onclick="ezpSubmit();">ثبت</a></p></td></tr></table>';
                    else
                        $OUTPUT .= '<tr><td colspan="2"><p><input type="submit" name="ezp_submit_vote" id="ezp_submit_vote" value="ثبت"/></p></td></tr></table>';
                }
                 if(!$js)
                    $OUTPUT .= '</form>';
            } else
            {
                // The poll ID they are passing in does not have any answers
                $OUTPUT .= '<div class="ezp_front_error"><p>این نظر سنجی پاسخی ندارد.</p></div>';
            }
        }
    } else
    {
        // The poll ID they are passing in does not exist
        $OUTPUT .= '<div class="ezp_front_error"><p>نظر سنجی وجود ندارد.</p></div>';
    }
    
   // return array('OUTPUT'=>$OUTPUT,'poll'=>$poll,'answers'=>$answers);
    return array($OUTPUT,$poll,$answers);
}
function ezpRequireAdminLogin()
{
    if(!isset($_SESSION['EZP']['AUTH_ADMIN_LOGGED']))
    {
        ezpAddSystemMessage('Last requested page required administration cridentials');
        ezpRedirect('index.php');
    }
}

function ezpIsAdminLoggedIn()
{
    return isset($_SESSION['EZP']['AUTH_ADMIN_LOGGED']);
}

function ezpTryAminLogin($name = '', $pass = '')
{
    if($name == EZP_admin_name && $pass == EZP_admin_pass)
    {
        $_SESSION['EZP']['AUTH_ADMIN_LOGGED'] = true;
        ezpRedirect('admin.php');
    }
    
    return false;
}

function ezpAdminLogout()
{
    unset($_SESSION['EZP']['AUTH_ADMIN_LOGGED']);
    ezpAddSystemMessage('You have been logged out.');
}

function ezpRedirect($url = '')
{
    header('Location: '.$url);
    die();
}

function ezpBuildUrl()
{
    return $_SERVER['PHP_SELF'].(isset($_SERVER['QUERY_STRING'])&&!empty($_SERVER['QUERY_STRING'])?'?'.$_SERVER['QUERY_STRING']:'');
}

function ezpAddSystemMessage($msg = '')
{
    $_SESSION['EZP']['MSG'] = !isset($_SESSION['EZP']['MSG']) ? $msg : $msg.'<br/>'.$_SESSION['EZP']['MSG'];
}

function ezpDisplaySystemMessage($return_string = false)
{
    if(isset($_SESSION['EZP']['MSG']))
    {
        $msg = trim($_SESSION['EZP']['MSG']);
        unset($_SESSION['EZP']['MSG']);
        
        if($return_string)
            return '<div id="ezp_system_message">'.$msg.'</div>';
        else
            echo '<div id="ezp_system_message">'.$msg.'</div>';
    }
}

// This will pick a random color from the colors array and will not duplicate unless it is called more then the colors that are listed on the same page load
function ezpRandomColor()
{
    static $ezp_color_index = -1;
    static $ezp_bar_colors = array('#ff0000','#ff7f00','#ffff00','#7fff00','#00ff7f','#00bfbf','#007fff','#0000ff','#5f00bf','#bf00bf','#bf005f','#7f7f7f');
    
    if($ezp_color_index === -1)
    {
        shuffle($ezp_bar_colors);
        $ezp_color_index = rand(0, count($ezp_bar_colors));
    }
    
    $ezp_color_index++;
    if(!isset($ezp_bar_colors[$ezp_color_index])) $ezp_color_index = 0;
    return $ezp_bar_colors[$ezp_color_index];
}

?>