CREATE TABLE IF NOT EXISTS `poll` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `question` text NOT NULL,
  `votes_per_day` int(10) unsigned NOT NULL,
  `total_votes_per_person` int(10) unsigned NOT NULL,
  `show_results` tinyint(1) NOT NULL DEFAULT '1',
  `show_results_req_vote` tinyint(1) NOT NULL DEFAULT '0',
  `finished` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1=show,0=hide',
  `num_selections` tinyint(2) unsigned NOT NULL,
  `show_vote_numbers` tinyint(1) NOT NULL DEFAULT '1',
  `result_precision` tinyint(1) NOT NULL DEFAULT '2',
  `animate_results` tinyint(1) NOT NULL DEFAULT '1',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `total_votes` int(11) NOT NULL DEFAULT '0',
  `removed` tinyint(1) NOT NULL DEFAULT '0',
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `poll_answers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `poll_id` int(11) NOT NULL,
  `answer` text NOT NULL,
  `color` varchar(12) DEFAULT NULL,
  `weight` tinyint(4) NOT NULL DEFAULT '0',
  `num_votes` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `poll_votes` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `poll_id` int(10) unsigned NOT NULL,
  `votes` varchar(255) NOT NULL,
  `ip` varchar(32) DEFAULT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
