<?php
/**
 * Copyright (c) 2010 by http://www.dtimagery.com. All rights reserved.
 */
if(!isset($db))
	require_once('includes/config.php');

$id = isset($id) ? $id : intval($_POST['id']);

$db->go("SELECT * FROM poll WHERE id = {$id} AND active = 1 LIMIT 1");
$poll = $db->fetchArray();

if($poll)
{
	// Do we even allow the results to be seen?
	if($poll['show_results'] == 0)
	{
		echo EZP_result_not_allowed;
		$hide_results = true; // User is not allowed to see results
	}
	
	if(!empty($poll['end_date']))
	{
		// If we are hiding results when poll is finished
		if(strtotime($poll['end_date']) < time() && $poll['finished'] == 0)
		{
			echo EZP_poll_over_no_results;
			$hide_results = true; // User is not allowed to see results
		}
	} else
	{
		$ip = isset($_SERVER['REMOTE_ADDR']) ? $db->q($_SERVER['REMOTE_ADDR']) : false;
		// If poll requires a vote to see results check that
		if($ip && $poll['show_results_req_vote'] == 1)
		{
			$db->go("SELECT COUNT(*) AS num_votes FROM poll_votes WHERE poll_id = {$id} AND ip = '{$ip}'");
			$result = $db->fetchArray();
			if($result['num_votes'] == 0)
			{
				echo '<div class="ezp_front_error"><p>A vote is required to view the results of this poll.</p></div>';
				$hide_results = true; // User is not allowed to see results
			}
		}
	}

	if(!isset($hide_results))
	{
		// All the totals are made ahead of time during the vote process so we don't need to do any calculations from within MYSQL
		$db->go("SELECT * FROM poll_answers WHERE poll_id = {$id} ORDER BY weight ASC");
		$answers = $db->fetchAll();
		if($answers)
		{
			echo '<table width="100%" id="ezp_tbl_results">';
			echo '<tr><td colspan="2" class="ezp_result_question"><h3>'.$poll['question'].'</h3></td></tr>';
			$animate = array();
			foreach($answers as $answer)
			{
				echo '<tr><td class="ezp_result_answer" colspan="2"><strong>'.$answer['answer'].'</strong></td></tr>';
				echo '<tr>';
				if(!isset($nojs) && $poll['animate_results'] == 1)
				{
					echo '<td class="ezp_bar"><div style="position:relative;"><div id="ezp_result_bar'.$answer['id'].'" class="ezp_result_bar" style="background-color:'.$answer['color'].';width: 0;"><div class="ezp_result_shade">&nbsp;</div></div><div class="ezp_result_stats">';
					echo ($poll['show_vote_numbers']==1?$answer['num_votes'].' - ':'').($poll['total_votes']>0?(round(($answer['num_votes'] / $poll['total_votes'] * 100), $poll['result_precision'])):'0').'%';
					echo '</div></div></td>';
					$animate[] = $poll['total_votes']>0?'ezpAnimateBar('.$answer['id'].','.round((($answer['num_votes'] / $poll['total_votes']) * 100)).');':'';
				} else
				{
					echo '<td class="ezp_bar"><div style="position:relative;"><div id="ezp_result_bar'.$answer['id'].'" class="ezp_result_bar" style="background-color:'.$answer['color'].';width: '.round((($answer['num_votes'] / $poll['total_votes']) * 100) ).'%;"><div class="ezp_result_shade">&nbsp;</div></div><div class="ezp_result_stats">'.($poll['show_vote_numbers']==1?$answer['num_votes'].' - ':'').round(($answer['num_votes'] / $poll['total_votes'] * 100), $poll['result_precision']).'%'.'</div></div></td>';
				}
				echo '</tr>';
				
			}
			echo '</table>';
			
			if(count($animate)>0)
			{
				echo '<script type="text/javascript" language="javascript">'.implode('',$animate).'</script>';
			}
		}
	}
} else
{
	echo EZP_poll_not_found;
}

if(isset($nojs))
{
	// If this var is set that means they can only view results so no point in giving them this link
	if(!isset($hide_btn_viewpoll))
	{
		echo '<p id="ezp_view_poll"><a class="ezp_view_poll" href="'.ezpBuildUrl().'">View Poll</a></p>';
	}
} else
{
	echo '<p id="ezp_view_poll"><a class="ezp_view_poll" href="javascript:void(0);" onclick="ezpDisplayForm();">View Poll</a></p>';
}
?>